package cn.com.tenlion.systembase.pojo.pos.line;

/**
 *
 * @ClassName: LinePO
 * @Description: 护路护线
 * @Author: CodeFactory
 * @Date: 2021-10-13 11:32:20
 * @Version: 3.0
 **/
public class LinePO {

    private String lineId;
    private String lineName;
    private String lineType;
    private String lineTypeName;
    private String lineTypeCode;
    private String subjectionDeptName;
    private String subjectionDeptAddress;
    private String subjectionDeptPhone;
    private String subjectionDeptLinkMan;
    private String subjectionDeptLinkPhone;
    private String jurisdictionDeptName;
    private String jurisdictionAddress;
    private String jurisdictionDeptPhone;
    private String chargeLinkMan;
    private String chargeLinkPhone;
    private String securitySituation;
    private String situationLevel;
    private String situationLevelName;
    private String situationLevelCode;

    public String getLineId() {
        return lineId == null ? "" : lineId.trim();
    }

    public void setLineId(String lineId) {
        this.lineId = lineId;
    }

    public String getLineName() {
        return lineName == null ? "" : lineName.trim();
    }

    public void setLineName(String lineName) {
        this.lineName = lineName;
    }

    public String getLineType() {
        return lineType == null ? "" : lineType.trim();
    }

    public void setLineType(String lineType) {
        this.lineType = lineType;
    }

    public String getLineTypeName() {
        return lineTypeName == null ? "" : lineTypeName.trim();
    }

    public void setLineTypeName(String lineTypeName) {
        this.lineTypeName = lineTypeName;
    }

    public String getLineTypeCode() {
        return lineTypeCode == null ? "" : lineTypeCode.trim();
    }

    public void setLineTypeCode(String lineTypeCode) {
        this.lineTypeCode = lineTypeCode;
    }

    public String getSubjectionDeptName() {
        return subjectionDeptName == null ? "" : subjectionDeptName.trim();
    }

    public void setSubjectionDeptName(String subjectionDeptName) {
        this.subjectionDeptName = subjectionDeptName;
    }

    public String getSubjectionDeptAddress() {
        return subjectionDeptAddress == null ? "" : subjectionDeptAddress.trim();
    }

    public void setSubjectionDeptAddress(String subjectionDeptAddress) {
        this.subjectionDeptAddress = subjectionDeptAddress;
    }

    public String getSubjectionDeptPhone() {
        return subjectionDeptPhone == null ? "" : subjectionDeptPhone.trim();
    }

    public void setSubjectionDeptPhone(String subjectionDeptPhone) {
        this.subjectionDeptPhone = subjectionDeptPhone;
    }

    public String getSubjectionDeptLinkMan() {
        return subjectionDeptLinkMan == null ? "" : subjectionDeptLinkMan.trim();
    }

    public void setSubjectionDeptLinkMan(String subjectionDeptLinkMan) {
        this.subjectionDeptLinkMan = subjectionDeptLinkMan;
    }

    public String getSubjectionDeptLinkPhone() {
        return subjectionDeptLinkPhone == null ? "" : subjectionDeptLinkPhone.trim();
    }

    public void setSubjectionDeptLinkPhone(String subjectionDeptLinkPhone) {
        this.subjectionDeptLinkPhone = subjectionDeptLinkPhone;
    }

    public String getJurisdictionDeptName() {
        return jurisdictionDeptName == null ? "" : jurisdictionDeptName.trim();
    }

    public void setJurisdictionDeptName(String jurisdictionDeptName) {
        this.jurisdictionDeptName = jurisdictionDeptName;
    }

    public String getJurisdictionAddress() {
        return jurisdictionAddress == null ? "" : jurisdictionAddress.trim();
    }

    public void setJurisdictionAddress(String jurisdictionAddress) {
        this.jurisdictionAddress = jurisdictionAddress;
    }

    public String getJurisdictionDeptPhone() {
        return jurisdictionDeptPhone == null ? "" : jurisdictionDeptPhone.trim();
    }

    public void setJurisdictionDeptPhone(String jurisdictionDeptPhone) {
        this.jurisdictionDeptPhone = jurisdictionDeptPhone;
    }

    public String getChargeLinkMan() {
        return chargeLinkMan == null ? "" : chargeLinkMan.trim();
    }

    public void setChargeLinkMan(String chargeLinkMan) {
        this.chargeLinkMan = chargeLinkMan;
    }

    public String getChargeLinkPhone() {
        return chargeLinkPhone == null ? "" : chargeLinkPhone.trim();
    }

    public void setChargeLinkPhone(String chargeLinkPhone) {
        this.chargeLinkPhone = chargeLinkPhone;
    }

    public String getSecuritySituation() {
        return securitySituation == null ? "" : securitySituation.trim();
    }

    public void setSecuritySituation(String securitySituation) {
        this.securitySituation = securitySituation;
    }

    public String getSituationLevel() {
        return situationLevel == null ? "" : situationLevel.trim();
    }

    public void setSituationLevel(String situationLevel) {
        this.situationLevel = situationLevel;
    }

    public String getSituationLevelName() {
        return situationLevelName == null ? "" : situationLevelName.trim();
    }

    public void setSituationLevelName(String situationLevelName) {
        this.situationLevelName = situationLevelName;
    }

    public String getSituationLevelCode() {
        return situationLevelCode == null ? "" : situationLevelCode.trim();
    }

    public void setSituationLevelCode(String situationLevelCode) {
        this.situationLevelCode = situationLevelCode;
    }

}
